OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.MemoryObjectWin32

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTMemoryObjectWin32 :: MonadIO m => m Bool
- gl_EXT_memory_object_win32 :: Bool
- pattern GL_DEVICE_LUID_EXT :: GLenum
- pattern GL_DEVICE_NODE_MASK_EXT :: GLenum
- pattern GL_HANDLE_TYPE_D3D11_IMAGE_EXT :: GLenum
- pattern GL_HANDLE_TYPE_D3D11_IMAGE_KMT_EXT :: GLenum
- pattern GL_HANDLE_TYPE_D3D12_RESOURCE_EXT :: GLenum
- pattern GL_HANDLE_TYPE_D3D12_TILEPOOL_EXT :: GLenum
- pattern GL_HANDLE_TYPE_OPAQUE_WIN32_EXT :: GLenum
- pattern GL_HANDLE_TYPE_OPAQUE_WIN32_KMT_EXT :: GLenum
- pattern GL_LUID_SIZE_EXT :: GLenum
- glImportMemoryWin32HandleEXT :: MonadIO m => GLuint -> GLuint64 -> GLenum -> Ptr a -> m ()
- glImportMemoryWin32NameEXT :: MonadIO m => GLuint -> GLuint64 -> GLenum -> Ptr a -> m ()

# Extension Support

glGetEXTMemoryObjectWin32 :: MonadIO m => m Bool Source #

Is the EXT_memory_object_win32 extension supported?

gl_EXT_memory_object_win32 :: Bool Source #

Is the EXT_memory_object_win32 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTMemoryObjectWin32` in those cases instead.

# Enums

pattern GL_DEVICE_LUID_EXT :: GLenum Source #

pattern GL_DEVICE_NODE_MASK_EXT :: GLenum Source #

pattern GL_HANDLE_TYPE_D3D11_IMAGE_EXT :: GLenum Source #

pattern GL_HANDLE_TYPE_D3D11_IMAGE_KMT_EXT :: GLenum Source #

pattern GL_HANDLE_TYPE_D3D12_RESOURCE_EXT :: GLenum Source #

pattern GL_HANDLE_TYPE_D3D12_TILEPOOL_EXT :: GLenum Source #

pattern GL_HANDLE_TYPE_OPAQUE_WIN32_EXT :: GLenum Source #

pattern GL_HANDLE_TYPE_OPAQUE_WIN32_KMT_EXT :: GLenum Source #

pattern GL_LUID_SIZE_EXT :: GLenum Source #

# Functions

glImportMemoryWin32HandleEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memory`.
-> GLuint64 | `size`.
-> GLenum | `handleType` of type ExternalHandleType.
-> Ptr a | `handle`.
-> m () |

glImportMemoryWin32NameEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `memory`.
-> GLuint64 | `size`.
-> GLenum | `handleType` of type ExternalHandleType.
-> Ptr a | `name`.
-> m () |